Subject: Re: [PATCH] rebase --fix: interactive fixup mode

From: Clemens Buchacher <[email-masked]>
Date: Sun, 8 Jan 2012 23:25:47 +0100

On Sun, Jan 08, 2012 at 04:01:27PM -0600, Jonathan Nieder wrote:
> 
> Funny. :)  I wonder if this is possible to generalize, to something like
> 
> 	git rebase -i foo^{last-merge}
> 
> What do you think?

I suppose if the history has no merges, I would return the root commit?

Uh, and now I realize I have a bug. In a repo with only linear history:

$ git rebase --fix
fatal: ambiguous argument '4ccf67b9fa2ae247e55b86648d650cb368f286c2^': unknown revision or path not in the working tree.
Use '--' to separate paths from revisions
fatal: Needed a single revision
invalid upstream 4ccf67b9fa2ae247e55b86648d650cb368f286c2^